### Method

# GtkSource SnippetChunk get_text

#### Declaration [src]

    const gchar*
    gtk_source_snippet_chunk_get_text (
      GtkSourceSnippetChunk* chunk
    )

#### Description [src]

Gets the `GtkSourceSnippetChunk:text` property.

The text property is updated when the user edits the text of the chunk. If it has not been edited, the `GtkSourceSnippetChunk:spec` property is returned.

Gets property | `GtkSource.SnippetChunk:text`

#### Return value

Type: `const gchar*`

The text of the chunk.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.